<script>
import { mapState, mapMutations } from 'vuex';
export default {
	onShow() {},
	onLaunch() {},
	onHide() {
		console.log('appvue隐藏后台');
		this.changeisconnect(false);
		console.log(this.globalisUploadimg);
		if (!this.globalisconnect && !this.globalisUploadimg) {
			uni.switchTab({
				url: '/pages/tabbar-page/index-tabbar/index-tabbar'
			});
		}
	},
	methods: {
		...mapMutations(['changeisconnect'])
	},
	computed: {
		...mapState(['globalisconnect', 'globalisUploadimg'])
	}
};
</script>

<style lang="scss" scoped>
/*每个页面公共css */
@import '@/uni_modules/uview-ui/index.scss';
@font-face {
	font-family: siYuanLight;
	src: url('https://mx.jzeg.cn:9095/appimg/fonts/siyuannormal.OTF');
}
@font-face {
	font-family: weighting;
	src: url('https://mx.jzeg.cn:9095/appimg/fonts/weighting.TTF');
}
body {
	font-family: siYuanLight, sans-serif;
}
</style>
